// preproc_test2.c - test for preprocessor macros with params

#define SWAP(a,b) { int swap = a; a = b; b = swap; } 

int main()
{
  int my_var1 = 17;
  int my_var2 = 25;
  printf("Before swap: %d, %d\n",my_var1,my_var2);
  SWAP(my_var1,my_var2);
  printf("After swap: %d, %d\n",my_var1,my_var2);
  return(0);
}
